<template>
  <v-textarea
    v-bind="$attrs"
    :rules="rules"
    :label="$t('label')"
    :hint="$t('hint')"
    :counter="MAX_LENGTH"
    rows="2"
    prepend-icon="mdi-text"
    background-color="amber lighten-4"
    v-on="$listeners"
  />
</template>

<script>
  import { maxLength } from '@/lib/validators'

  const MAX_LENGTH = 2048

  export default {
    name: 'DescriptionField',
    data () {
      return {
        MAX_LENGTH,
        rules: [maxLength(MAX_LENGTH)],
      }
    },
    i18n: {
      messages: {
        'pt-BR': {
          label: 'Descrição',
          hint: 'Você pode expandir este campo para facilitar a visualização do texto.',
        },
        'en-US': {
          label: 'Description',
          hint: 'You can expand this field to make the text easier to see.',
        },
      },
    },
  }
</script>
